.calendar {
  position: relative;
  overflow: hidden;
  text-align: center;
  color: #666;
  padding: 1rem;
}

.calendar a {
    text-decoration: none;
    color: inherit;
}

.calendar header .simple-calendar-btn {
    display: inline-block;
    position: absolute;
    width: 30px;
	height: 30px;
    text-align: center;
    line-height: 30px;
    color: #666;
    border-radius: 50%;
    border: 2px solid #666;
}

.calendar header .simple-calendar-btn:hover {
    background-color: #CBD1D2;
    color: white;
}

.calendar header .simple-calendar-btn:before {
    content: '';
    position: absolute;
    top: 9px;
    left: 8px;
    width: 8px;
    height: 8px;
    border-style: solid;
    border-width: 3px 3px 0 0;
    transform: rotate(45deg);
    transform-origin: center center;
}
.calendar header .btn-prev {
	top: 1rem;
	left: 1rem;
	transform: rotate(-180deg);
}

.calendar header .btn-next {
	top: 1rem;
	right: 1rem;
}

.calendar header .btn-next:before {
	transform: rotate(45deg);
}

.calendar header .month {
  padding: 0;
  margin: 0;
}

.calendar header .month .year {
	font-size: 0.6em;
	font-weight: 100;
}

.calendar table {
	width: 100%;
	margin: 20px 0;
	border-spacing: 0px;
}

.calendar thead {
	font-size: 1.2em;
	font-weight: 600;
}

.calendar td {
	padding: .2em 0;
}

.calendar .day {
	position: relative;
	display: inline-block;
	width: 2.5em;
	height: 2.5em;
	line-height: 2.5em;
	border-radius: 50%;
	border: 2px solid transparent;
	cursor: pointer;
	font-size: 1.3em;
}

.calendar .day:hover {
	border: 2px solid var(--maincolor);
}

.calendar .day.today {
	background-color: var(--maincolor);
	color: white;
}

.calendar .day.today.has-event:after {
	background-color: white;
}

.calendar .day.wrong-month {
	color: #ccc;
}

.calendar .day.wrong-month:hover {
	border: 2px solid transparent;
}

.calendar .day.has-event:after {
	content: '';
	position: absolute;
	top: calc(50% + 0.5em);
	left: calc(50% - 0.4em);
	width: 0.8em;
	height: 0.8em;
	border-radius: 50%;
	border: 2px solid var(--maincolor);
	box-sizing: border-box;
}

.calendar .day.has-event.event-done:after {
	content: '✓';
	color: var(--buttoncolor);
	font-weight: bold;
	top: 0.5em;
	width: 0;
	height: 0;
	border: none;
	font-size: 1.5em;
}

.calendar .day.disabled {
	cursor: default;
}

.calendar .day.disabled:hover {
	border: 2px solid transparent;
}

.calendar .event-container {
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	padding: 4rem 1rem 1rem;
	background-color:#fff;
	box-sizing: border-box;
}

.calendar .event-container .event-wrapper {
	overflow-y: auto;
	max-height: 100%;
	padding: 0.5rem;
}

.calendar .event-container .close {
	position: absolute;
	width: 30px;
	height: 30px;
	top: 20px;
	right: 20px;
	cursor: pointer;
	border-radius: 50%;
}

.calendar .event-container .close:hover {
	background-color: #ddd;
}

.calendar .event-container .close:before, .calendar .event-container .close:after {
	content: '';
	position: absolute;
	top: 0;
	left: 50%;
	width: 2px;
	height: 100%;
	background-color: #333;
}

.calendar .event-container .close:before {
	transform: rotate(45deg);
}

.calendar .event-container .close:after {
	transform: rotate(-45deg);
}

.calendar .event-container .event {
	position: relative;
	width: 100%;
	padding: 1em;
	margin-bottom: 1em;
	background-color: white;
	border: 1px solid #ddd;
	border-radius: 0.5rem;
	box-sizing: border-box;
	box-shadow: 0 0 0.5rem #ccc;

	text-align: left;
	color: white;
	letter-spacing: 0.1rem;
	color: #333;
	font-size: 1.2rem;
}

.calendar .event-container .event:hover {
	cursor: pointer;
	background-color: #f3f3f3;
}

.calendar .event-container .event-date {
	float: right;
	margin-bottom: 0.5rem;
	margin-left: 1rem;
	text-transform: capitalize;
}

.calendar .event-container .event-hour {
	display: none;
}

.calendar .event-container .event-summary > div {
	margin-bottom: 0.5rem;
}

.calendar .event-container .event-summary .sezon {
	color: var(--maincolor);
}

.calendar .event-container .event-summary .nazwa {
	text-transform: uppercase;
	font-size: 2rem;
	color: var(--maincolor);
}

.calendar .event-container .event-summary .wykonane {
	letter-spacing: 0.1rem;
	color: var(--buttoncolor);
}

.calendar .filler {
	position: absolute;
	width: 0;
	height: 0;
	border-radius: 50%;
	background-color: white;
	border: 2px solid var(--maincolor);
	transform: translate(-50%, -50%);
}
